Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Compatibility Members for QScrollBar

The following class members are part of the Qt 3 compatibility layer. They are provided to help you port old code to Qt 4. We strongly advise against using them in new code.

QScrollBar class reference

### Public Functions

- QScrollBar ( QWidget * parent, const char * name )
- QScrollBar ( Qt::Orientation orientation, QWidget * parent, const char * name )
- QScrollBar ( int minimum, int maximum, int lineStep, int pageStep, int value, Qt::Orientation orientation, QWidget * parent = 0, const char * name = 0 )
- bool draggingSlider ()

## Member Function Documentation

### QScrollBar::QScrollBar ( QWidget * parent, const char * name )

Use one of the constructors that doesn't take the name argument and then use setObjectName() instead.

### QScrollBar::QScrollBar ( Qt::Orientation orientation, QWidget * parent, const char * name )

Use one of the constructors that doesn't take the name argument and then use setObjectName() instead.

### QScrollBar::QScrollBar ( int minimum, int maximum, int lineStep, int pageStep, int value, Qt::Orientation orientation, QWidget * parent = 0, const char * name = 0 )

Use one of the constructors that doesn't take the name argument and then use setObjectName() instead.

### bool QScrollBar::draggingSlider ()

Use isSliderDown() instead.